List Available Variable References
List the sources and keys a service's variables can reference.
List the sources and keys a service's variables can reference.
Authorization
bearerAuth Access token or API key (unb_...) passed as Authorization: Bearer <token>.
In: header
Query Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/variables/references/available?team_id=string&project_id=string&environment_id=string&service_id=string"{ "data": [ { "keys": [ "string" ], "source_icon": "string", "source_id": "ae50a35c-df42-4eff-ba26-f8bc28d2af81", "source_kubernetes_name": "string", "source_name": "string", "source_type": "team", "type": "variable" } ]}List Variables GET
List variables for a service, environment, project, or team. Service variables include their rendered values.
Create or Update Variables POST
Upsert variables by key for a service, environment, project, or team. Values may contain ${{service.<id>.KEY}}, ${{team.KEY}}, ${{project.KEY}} and ${{environment.KEY}} references. A service's protected_variables, such as database credentials, are managed by Unbind and cannot be changed.